# Get card transaction (V3) (deprecated)

{% admonition type="warning" %}
This endpoint is deprecated. Use the V4 Get card transaction endpoint instead.
{% /admonition %}

Retrieve a card transaction by its ID.

Use in conjunction with the V2.0.0 card transaction state change webhook.

When a refund happens, a separate transaction will be added with a REFUND transaction type.

Endpoint: GET /v3/spend/profiles/{profileId}/cards/transactions/{transactionId}
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile that owns the card.
    Example: 123456

  - `transactionId` (string, required)
    The ID of the transaction.
    Example: "342671"

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `id` (string)
    ID of the transaction
    Example: "342671"

  - `cardToken` (string)
    Unique identifier of the card
    Example: "59123122-223d-45f9-b840-0ad4a4f80937"

  - `type` (string)
    [Type](/api-reference/card-transaction#card-transaction-type) of the transaction. One of:
- ACCOUNT_CREDIT
- ACCOUNT_FUNDING
- CASH_ADVANCE
- CASH_WITHDRAWAL
- CHARGEBACK
- CREDIT_TRANSACTION
- ECOM_PURCHASE
- POS_PURCHASE
- REFUND
    Enum: "ACCOUNT_CREDIT", "ACCOUNT_FUNDING", "CASH_ADVANCE", "CASH_WITHDRAWAL", "CHARGEBACK", "CREDIT_TRANSACTION", "ECOM_PURCHASE", "POS_PURCHASE", "REFUND"

  - `declineReason` (string,null)
    Code of the [decline reason](/api-reference/card-transaction#card-transaction-decline-reasons) if applicable

  - `detailedDeclineReason` (string,null)
    Code of the [detailed decline reason](/api-reference/card-transaction#card-transaction-detailed-decline-reasons) if applicable

  - `createdDate` (string)
    When the transaction was created
    Example: "2022-11-28T08:17:54.241236Z"

  - `state` (string)
    The current [state](/api-reference/card-transaction#card-transaction-state) of the transaction. One of:
- IN_PROGRESS
- COMPLETED
- DECLINED
- CANCELLED
- UNKNOWN
    Enum: "IN_PROGRESS", "COMPLETED", "DECLINED", "CANCELLED", "UNKNOWN"

  - `cardLastDigits` (string)
    Last 4 digits of the card
    Example: "3086"

  - `transactionAmount` (object)
    Transaction amount, excluding all embedded fees such as ATM fees that are not applied by Wise

  - `transactionAmount.amount` (number)
    Transaction amount
    Example: 1.5

  - `transactionAmount.currency` (string)
    Currency code
    Example: "SGD"

  - `fees` (array)
    Array of fees

  - `fees.amount` (number)
    Fee amount
    Example: 0.1

  - `fees.currency` (string)
    Currency code
    Example: "SGD"

  - `fees.fee_type` (string)
    Fee type
    Example: "ATM_ACQUIRER"

  - `transactionAmountWithFees` (object)
    Transaction amount including fees

  - `transactionAmountWithFees.value` (number)
    Transaction amount including fees
    Example: 1.5

  - `transactionAmountWithFees.currency` (string)
    Currency code
    Example: "SGD"

  - `merchant` (object)
    Merchant information

  - `merchant.name` (string)
    Name of the merchant
    Example: "Test Payment"

  - `merchant.location` (object)
    Merchant location

  - `merchant.location.country` (string,null)
    Country where merchant is located
    Example: "France"

  - `merchant.location.city` (string,null)
    City where merchant is located
    Example: "Rouen"

  - `merchant.location.zipCode` (string,null)
    Zip code where merchant is located
    Example: "00000"

  - `merchant.location.region` (string,null)
    Region where merchant is located

  - `merchant.location.state` (string,null)
    State where merchant is located

  - `merchant.category` (object)
    Merchant category

  - `merchant.category.name` (string)
    Category of the merchant
    Example: "RMiscellaneousAndSpecial"

  - `merchant.category.code` (string)
    MCC code of the merchant
    Example: "5999"

  - `merchant.category.description` (string)
    Description of the merchant category
    Example: "5999 R Miscellaneous and Special"

  - `authorisationMethod` (string)
    Authorisation method
    Example: "MANUAL_ENTRY"

  - `balanceTransactionId` (integer,null)
    Associated balance transaction ID if applicable
    Example: 2598366

  - `debits` (array)
    Array of debits

  - `debits.balanceId` (integer)
    Balance ID
    Example: 52832

  - `debits.debitedAmount` (object)
    Amount taken from the balance

  - `debits.debitedAmount.amount` (number)
    Amount
    Example: 1.06

  - `debits.debitedAmount.currency` (string)
    Currency code
    Example: "EUR"

  - `debits.forAmount` (object)
    Amount converted to

  - `debits.forAmount.amount` (number)
    Amount
    Example: 1.5

  - `debits.forAmount.currency` (string)
    Currency code
    Example: "SGD"

  - `debits.rate` (number)
    Exchange rate of debitedAmount to forAmount
    Example: 1.43073

  - `debits.fee` (object)
    Conversion fee

  - `debits.fee.amount` (number)
    Conversion fee amount
    Example: 0.01

  - `debits.fee.currency` (string)
    Currency code
    Example: "EUR"

  - `credit` (object,null)
    Credit details, present for refund transactions

  - `credit.balanceId` (integer)
    Balance ID
    Example: 52832

  - `credit.creditedAmount` (object)
    Amount credited to the balance

  - `credit.creditedAmount.amount` (number)
    Amount
    Example: 1.5

  - `credit.creditedAmount.currency` (string)
    Currency code
    Example: "SGD"

  - `relayAuthorisationData` (object,null)
    Relayed authorisation response data, only available if the partner has opted in for [relayed authorisation](/guides/product/issue-cards/relayed-authorisation)

  - `relayAuthorisationData.responseCode` (string)
    [ResponseCode](/guides/product/issue-cards/relayed-authorisation#authorisation-response) of the relayed authorisation. One of:
- APPROVED
- PROCESSING_ERROR
- NON_SUPPORTED_CURRENCY
- NON_SUPPORTED_MCC_FOR_COUNTRY
- BLOCKED_COUNTRY
- TRANSACTION_TYPE_NOT_SUPPORTED
- SUSPECTED_FRAUD
    Enum: "APPROVED", "PROCESSING_ERROR", "NON_SUPPORTED_CURRENCY", "NON_SUPPORTED_MCC_FOR_COUNTRY", "BLOCKED_COUNTRY", "TRANSACTION_TYPE_NOT_SUPPORTED", "SUSPECTED_FRAUD"

  - `relayAuthorisationData.fallback` (boolean)
    Indicating whether there was a fallback applied by Wise
    Example: true


